Last Comment Bug 534710 - Software Update misses libmozsqlite3.so - Restart fails - Program dead
: Software Update misses libmozsqlite3.so - Restart fails - Program dead
Status: RESOLVED FIXED
: fixed-seamonkey2.0.3
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- blocker (vote)
: Thunderbird 3.1a1
Assigned To: Mark Banner (:standard8, afk until Dec)
:
:
Mentors:
Depends on: 513747
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-14 13:07 PST by :Hb
Modified: 2009-12-20 08:25 PST (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Bv1-SM) Fix m-1.9.1 [Checkin: Comment 8] (765 bytes, patch)
2009-12-15 07:38 PST, Serge Gautherie (:sgautherie)
kairo: review+
kairo: approval‑seamonkey2.0.3+
Details | Diff | Splinter Review

Description :Hb 2009-12-14 13:07:57 PST
Build: 2.1a1pre Seamonkey Nightly downloaded 20091207Z0905

1. The original download was extracted a week ago to the directory /home/<username>/seamonkey/ on Ubuntu 9.10. Program worked fine.

2. Clicking Help Menu item for "Software Update" or "Automated Update Service" or similar started a download.

3. At the Restart Now Or Later question Now was choosen.

4. Program does not start and console shows: 

> /home/<username>/seamonkey/seamonkey-bin: error while loading shared 
> libraries: libmozsqlite3.so: cannot open shared object file: No such 
> file or directory load


Hint: Firefox 3.5.5 was running at update time for another user on the box.
Perhaps the commit/patch from dependent bug caused this.
Comment 1 Bruno 'Aqualon' Escherl 2009-12-14 14:04:21 PST
When bug 513747 is resolved, our /suite/installer/unix/packages needs an update to the new file name.
Comment 2 :Hb 2009-12-14 14:14:11 PST
Changing dependency from bug 519550 to 513747 and subject.
Comment 3 Serge Gautherie (:sgautherie) 2009-12-15 07:24:47 PST
http://hg.mozilla.org/comm-central/rev/07a296061f40
Mark Banner - Port Bug 513747 (rename sqlite3 library to mozsqlite3 to fix compile problems and crashes on Mac OS X) to comm-central
+
http://hg.mozilla.org/comm-central/rev/dfaf7c1acb84
Mark Banner - Bustage fix from porting of bug 513747
+
http://hg.mozilla.org/comm-central/rev/afd382eea5b1
Serge Gautherie - Bug 534710 - Software Update misses libmozsqlite3.so - Restart fails - Program dead (Av1) Fix Unix packaging.
Comment 4 Serge Gautherie (:sgautherie) 2009-12-15 07:38:32 PST
Created attachment 417694 [details] [diff] [review]
(Bv1-SM) Fix m-1.9.1
[Checkin: Comment 8]
Comment 5 Serge Gautherie (:sgautherie) 2009-12-15 07:47:45 PST
Mark, it looks like Calendar may need the (same) update:
http://mxr.mozilla.org/comm-central/search?string=sqlite3&case=on&find=%2Fcalendar%2Finstaller%2Fwindows%2Fpackages-static
Comment 6 Mark Banner (:standard8, afk until Dec) 2009-12-15 07:52:53 PST
(In reply to comment #5)
> Mark, it looks like Calendar may need the (same) update:
> http://mxr.mozilla.org/comm-central/search?string=sqlite3&case=on&find=%2Fcalendar%2Finstaller%2Fwindows%2Fpackages-static

As Sunbird isn't planned to be supported past 1.0b1 (and it isn't built on trunk at the moment either), I'm not caring too much about what happens there, especially as I'm pretty sure their packages files are going to be out of date anyway.
Comment 7 Robert Kaiser 2009-12-16 15:07:45 PST
Comment on attachment 417694 [details] [diff] [review]
(Bv1-SM) Fix m-1.9.1
[Checkin: Comment 8]

From what I see, this is needed on 1.9.1 only, to support downgrading, right? r/a=me for that.
Comment 8 Serge Gautherie (:sgautherie) 2009-12-16 15:49:19 PST
Comment on attachment 417694 [details] [diff] [review]
(Bv1-SM) Fix m-1.9.1
[Checkin: Comment 8]


http://hg.mozilla.org/releases/comm-1.9.1/rev/3b599c1516e0
Comment 9 Serge Gautherie (:sgautherie) 2009-12-16 15:55:46 PST
(In reply to comment #7)
> From what I see, this is needed on 1.9.1 only, to support downgrading, right?

Exactly.
Comment 10 :Hb 2009-12-20 08:25:43 PST
The Software Update from 20091212 to today's version worked fine. The solution may be verified.

Note You need to log in before you can comment on or make changes to this bug.